# Uses of Interface
org.apache.sling.launchpad.base.shared.Notifiable

Packages that use Notifiable
Package
Description
org.apache.sling.launchpad.base.app
org.apache.sling.launchpad.base.impl
org.apache.sling.launchpad.base.shared
org.apache.sling.launchpad.base.webapp
org.apache.sling.launchpad.webapp

## Uses of Notifiable in org.apache.sling.launchpad.base.app

Methods in org.apache.sling.launchpad.base.app with parameters of type Notifiable
Modifier and Type
Method
Description
`void`
MainDelegate.`setNotifiable(Notifiable notifiable)`

## Uses of Notifiable in org.apache.sling.launchpad.base.impl

Constructors in org.apache.sling.launchpad.base.impl with parameters of type Notifiable
Modifier
Constructor
Description
``
`Sling(Notifiable notifiable, org.apache.felix.framework.Logger logger, org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Map<String,String> propOverwrite)`
Initializes this servlet by loading the framework configuration properties, starting the OSGi framework (Apache Felix) and exposing the system bundle context and the `Felix` instance as servlet context attributes.
``
`SlingFelix(Notifiable notifiable, Map props)`

## Uses of Notifiable in org.apache.sling.launchpad.base.shared

Methods in org.apache.sling.launchpad.base.shared with parameters of type Notifiable
Modifier and Type
Method
Description
`void`
Launcher.`setNotifiable(Notifiable notifiable)`
The `Notifiable` to notify on framework stop or update

## Uses of Notifiable in org.apache.sling.launchpad.base.webapp

Methods in org.apache.sling.launchpad.base.webapp with parameters of type Notifiable
Modifier and Type
Method
Description
`static Sling`
SlingBridge.`getSlingBridge(Notifiable notifiable, org.apache.felix.framework.Logger logger, org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Map<String,String> propOverwrite, jakarta.servlet.ServletContext servletContext)`
`void`
SlingServletDelegate.`setNotifiable(Notifiable notifiable)`

## Uses of Notifiable in org.apache.sling.launchpad.webapp

Classes in org.apache.sling.launchpad.webapp that implement Notifiable
Modifier and Type
Class
Description
`class`
`SlingServlet`
The `SlingServlet` is the externally visible Web Application launcher for Sling.